version: '2'
services:

  wordpress:
    depends_on:
      - mariadb
    image: wordpress
    ports:
      - 8080:80
    volumes:
      - '.\themes\:/var/www/html/wp-content/themes/'
    
  mariadb:
    image: mysql
    ports:
      - '3306:3306'
    volumes:
      - '.\db\:/var/lib/mysql'
    environment:
      - 'MYSQL_ROOT_PASSWORD=root'
      - 'MYSQL_DATABASE=wordpress'
      - 'MYSQL_USER=user'
      - 'MYSQL_PASSWORD=password'